package cc.fascinated.bat.features.autorole.command;

import cc.fascinated.bat.command.BatCommand;
import cc.fascinated.bat.command.Category;
import cc.fascinated.bat.command.CommandInfo;
import lombok.NonNull;
import net.dv8tion.jda.api.Permission;
import org.springframework.context.ApplicationContext;
import org.springframework.stereotype.Component;

/**
 * @author Fascinated (fascinated7)
 */
@Component("autoroles.command")
@CommandInfo(
        name = "autorole",
        description = "Set up the automatic role system for members on join",
        requiredPermissions = Permission.MANAGE_SERVER,
        category = Category.SERVER
)
public class AutoRoleCommand extends BatCommand {
    public AutoRoleCommand(@NonNull ApplicationContext context) {
        super.addSubCommands(
                context.getBean(ListSubCommand.class),
                context.getBean(AddSubCommand.class),
                context.getBean(RemoveSubCommand.class),
                context.getBean(ClearSubCommand.class),
                context.getBean(SyncSubCommand.class)
        );
    }
}
