package cc.fascinated.bat.features.base.commands.botadmin;

import cc.fascinated.bat.command.BatCommand;
import cc.fascinated.bat.command.CommandInfo;
import cc.fascinated.bat.features.base.commands.botadmin.premium.PremiumRemoveSubCommand;
import cc.fascinated.bat.features.base.commands.botadmin.premium.PremiumSetSubCommand;
import lombok.NonNull;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationContext;
import org.springframework.stereotype.Component;

/**
 * @author Fascinated (fascinated7)
 */
@Component
@CommandInfo(name = "bot-admin", description = "Bot admin commands", botOwnerOnly = true)
public class BotAdminCommand extends BatCommand {
    @Autowired
    public BotAdminCommand(@NonNull ApplicationContext context) {
        super.addSubCommands(
                context.getBean(PremiumSetSubCommand.class),
                context.getBean(PremiumRemoveSubCommand.class)
        );
    }
}
