package cc.fascinated.bat.features.base.commands.general.avatar;

import cc.fascinated.bat.command.BatCommand;
import cc.fascinated.bat.command.Category;
import cc.fascinated.bat.command.CommandInfo;
import lombok.NonNull;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationContext;
import org.springframework.stereotype.Component;

/**
 * @author Nick (okNick)
 */
@Component
@CommandInfo(name = "avatar", description = "View the avatar of the guild or a user", guildOnly = false, category = Category.GENERAL)
public class AvatarCommand extends BatCommand {
    @Autowired
    public AvatarCommand(@NonNull ApplicationContext context) {
        super.addSubCommands(
                context.getBean(GuildSubCommand.class),
                context.getBean(UserSubCommand.class)
        );
    }
}