package cc.fascinated.bat.features.drag;

import lombok.Getter;
import lombok.RequiredArgsConstructor;
import lombok.Setter;
import net.dv8tion.jda.api.entities.Member;
import net.dv8tion.jda.api.entities.Message;
import net.dv8tion.jda.api.entities.channel.concrete.VoiceChannel;
import net.dv8tion.jda.api.interactions.InteractionHook;

import java.util.Date;

/**
 * @author Fascinated (fascinated7)
 */
@RequiredArgsConstructor
@Getter @Setter
public class DragRequest {
    /**
     * The date the request was made
     */
    private final Date requestDate = new Date();

    /**
     * The user that wants to join the voice channel
     */
    private final Member member;

    /**
     * The user that the member wants to join
     */
    private final Member target;

    /**
     * The voice channel the user wants to join
     */
    private final VoiceChannel voiceChannel;

    /**
     * The interaction hook that the request was made from
     */
    private final InteractionHook interactionHook;

    /**
     * The request message sent in the voice channel
     */
    private Message requestMessage;
}
